Bug 11341 - Ошибка создания темплейта
: Ошибка создания темплейта
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator-ovz)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-04-03 22:42 by
Modified: 2007-04-08 03:11 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-04-03 22:42:43
Метод воспроизведения:
создать какой-то новый профайл, набить его несколькими пакетами.
после этого пойти в темплейты, и попробовать создать темплейт с этим профайлом.

результат:
vecache: Creating cache altlinux-3.0.
install: cannot open `/var/lib/apt/lists//lock' for reading: Permission denied
------- Comment #1 From 2007-04-03 22:44:40 -------
Сообщение про /var/lib/apt/lists//lock ни на что не влияет.
Если очень раздражает, то надо перевесить на пакет hasher.
------- Comment #2 From 2007-04-03 22:52:02 -------
Дальше процесс идёт с кучей ругани:
rm: cannot remove
`/var/lib/vz/template/tmp/vecache.RWwE23375/chroot/lib/terminfo/l/linux-m':
Permission denied
rm: cannot remove
`/var/lib/vz/template/tmp/vecache.RWwE23375/chroot/lib/terminfo/l/linux':
Permission denied
rm: cannot remove
`/var/lib/vz/template/tmp/vecache.RWwE23375/chroot/lib/terminfo/a/ansi':
Permission denied
rm: cannot remove
`/var/lib/vz/template/tmp/vecache.RWwE23375/chroot/lib/terminfo/v/vt100':
Permission denied
rm: cannot remove
`/var/lib/vz/template/tmp/vecache.RWwE23375/chroot/lib/terminfo/v/vt102':
Permission denied
rm: cannot remove
`/var/lib/vz/template/tmp/vecache.RWwE23375/chroot/lib/terminfo/v/vt52':
Permission denied
rm: cannot remove
`/var/lib/vz/template/tmp/vecache.RWwE23375/chroot/lib/terminfo/v/vt320':
Permission denied
rm: cannot remove
`/var/lib/vz/template/tmp/vecache.RWwE23375/chroot/lib/terminfo/v/vt220':
Permission denied
rm: cannot remove
`/var/lib/vz/template/tmp/vecache.RWwE23375/chroot/lib/terminfo/s/sun':
Permission denied
rm: cannot remove
`/var/lib/vz/template/tmp/vecache.RWwE23375/chroot/lib/terminfo/s/screen-w':
Permission denied
rm: cannot remove
`/var/lib/vz/template/tmp/vecache.RWwE23375/chroot/lib/terminfo/s/screen':
Permission denied
rm: cannot remove
`/var/lib/vz/template/tmp/vecache.RWwE23375/chroot/lib/terminfo/s/screen-bce':
Permission denied
rm: cannot remove
`/var/lib/vz/template/tmp/vecache.RWwE23375/chroot/lib/terminfo/r/rxvt-basic':
Permission denied
rm: cannot remove
`/var/lib/vz/template/tmp/vecache.RWwE23375/chroot/lib/terminfo/r/rxvt':
Permission denied
rm: cannot remove
`/var/lib/vz/template/tmp/vecache.RWwE23375/chroot/lib/terminfo/r/rxvt-m':
Permission denied
rm: cannot remove
`/var/lib/vz/template/tmp/vecache.RWwE23375/chroot/lib/terminfo/E/Eterm':
Permission denied
rm: cannot remove
`/var/lib/vz/template/tmp/vecache.RWwE23375/chroot/lib/terminfo/d/dumb':
Permission denied
rm: cannot remove
`/var/lib/vz/template/tmp/vecache.RWwE23375/chroot/lib/terminfo/x/xterm-color':
Permission denied
rm: cannot remove
`/var/lib/vz/template/tmp/vecache.RWwE23375/chroot/lib/terminfo/x/xterm-xfree86':
Permission denied
rm: cannot remove 
------- Comment #3 From 2007-04-03 22:52:45 -------
раздражает не это, а вот ругань и сообщение про altlinux-3.0, который никто не
заказывал.
------- Comment #4 From 2007-04-03 22:53:42 -------
сообщение про lock наверное тоже надо убрать, но меня беспокоит больше
altlinux-3.0 и ругань, которую я описал в предыдущем сообщении.
------- Comment #5 From 2007-04-03 23:28:34 -------
Воспроизводится это тривиально:

создаём template, говорим create, наблюдаем надпись permission denied в течении
нескольких минут, думаем что ошибка, нажимаем return, запускаем под тем же
именем создание темплейта заново.

После этого полный ступор и configd падает.
------- Comment #6 From 2007-04-03 23:36:54 -------
Я же говорил что нужно ставить блокировки.
------- Comment #7 From 2007-04-04 00:01:01 -------
Какая версия ve-build-scripts используется?
------- Comment #8 From 2007-04-04 00:04:21 -------
Текущий Sisyphus.
$rpm -q ve-build-scripts
ve-build-scripts-0.0.1-alt2.1

------- Comment #9 From 2007-04-04 00:29:26 -------
(In reply to comment #6)
> Я же говорил что нужно ставить блокировки.

Это как раз несложно. Fixed in 0.3-alt2
------- Comment #10 From 2007-04-05 11:55:30 -------
Очень похоже на попытку одновременного создания двух шаблонов. Получается
именно
такой вывод.. В такой ситуации (попытка одновременного создания шаблона) надо
выдавать более понятное сообщение об ошибке.
------- Comment #11 From 2007-04-05 11:58:31 -------
Хмм.. у меня оказывается только alt1
------- Comment #12 From 2007-04-06 15:39:20 -------
Нет нового пакета в Sisyphus. Константин, выложите пожалуйста.
------- Comment #13 From 2007-04-06 23:47:31 -------
Пакет уже в сизифе.
------- Comment #14 From 2007-04-08 03:11:16 -------
Ненужная ругань про /var/lib/apt/lists//lock убрана в hasher-1.2.3-alt1.